Bug 1254727 - sssd-dbus requires the optional repo
sssd-dbus requires the optional repo
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs User Guide (Show other bugs)
6.1.0
x86_64 Linux
medium Severity medium (vote)
: Unspecified
: 6.1
Assigned To: Russell Dickenson
David O'Brien
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 13:42 EDT by Matthew Davis
Modified: 2015-12-03 10:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 12:31:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Davis 2015-08-18 13:42:13 EDT
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/User_Guide/sect-Using-IdM-for-Authentication.html


Section Number and Name: 
⁠20.2. Using Identity Management

Describe the issue: 
Under RHEL7, the Optional Repo must be enabled to install the sssd-dbus package. Under RHEL6, the sssd-dbus package is part of the base RHEL repo, but in RHEL7 it was moved to Optional.


Suggestions for improvement: 

Provide a step to enable the repo

# subscription-manager repos --enable rhel-7-server-optional-rpms

Additional information: 

When you attempt to run the isntaller w/o that repo you get the following error:

Execution of '/usr/bin/yum -d 0 -e 0 -y list sssd-dbus' returned 1: Error: No matching Packages to list
 /Stage[main]/Foreman::Install/Package[sssd-dbus]/ensure: change from absent to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y list sssd-dbus' returned 1: Error: No matching Packages
 to list
Comment 1 Jan Pazdziora 2015-08-18 14:26:51 EDT
Sadly, you are right. Bug 1205320 was verified as fixed but presumably it was not. I've reopened that bugzilla now.

Note You need to log in before you can comment on or make changes to this bug.